apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.deploymentName }}-{{ .Values.environment }}
  namespace: {{ .Values.namespace }}
  labels:
    date: "{{ now | unixEpoch }}"
spec:
  replicas: {{ .Values.replicaCount }}
  strategy:
    rollingUpdate:
      maxSurge: {{ .Values.rollingUpdate.maxSurge }}      
      maxUnavailable: {{ .Values.rollingUpdate.maxUnavailable }}     
    type: RollingUpdate   
  selector:
    matchLabels:
      app: {{ .Values.matchLabels.app }}-{{ .Values.environment }}
  template:
    metadata:
      labels:
        app: {{ .Values.matchLabels.app }}-{{ .Values.environment }}
    spec:
      containers:
      - name: {{ .Values.containers.name }}-{{ .Values.environment }}
        image: {{ .Values.containers.image }}:{{ .Values.containers.tagName }}
        imagePullPolicy: Always
        ports:
        - name:  ip-list-port
          containerPort: 8000
        livenessProbe:
          httpGet:
            path:  /
            port:  ip-list-port
          initialDelaySeconds: 60
          timeoutSeconds: 60
        readinessProbe:
          httpGet:
            path:  /
            port:  ip-list-port
          initialDelaySeconds: 60
          timeoutSeconds: 60
        resources:
          requests:
            cpu: {{ .Values.resources.requests.cpu }}
            memory: {{ .Values.resources.requests.memory }}
      imagePullSecrets:
        - name: {{ .Values.imagePullSecrets.name }}
